libwps_tools_win::Language Namespace Reference

an enum used to define the language in Windows© for spell check More...

## Functions

std::string | name (long id)
| returns the name given Windows© id More...
std::string | localeName (long id)
| returns the simplified locale name More...
long | getDefault ()
| returns the default language: 0x409 : english(US) More...

## Detailed Description

an enum used to define the language in Windows© for spell check

## Function Documentation

long libwps_tools_win::Language::getDefault | ( |  | ) |

returns the default language: 0x409 : english(US)

std::string libwps_tools_win::Language::localeName | ( | long | id | ) |

returns the simplified locale name

Referenced by WPSContentListener::_addLanguage(), WPS8Parser::readDocProperties(), and WPSContentListener::setDocumentLanguage().

std::string libwps_tools_win::Language::name | ( | long | id | ) |

returns the name given Windows© id

Referenced by WPS8Parser::createOLEStructures(), WPS4Parser::createOLEStructures(), libwps::Debug::flattenFileName(), libwps::DirTree::getOLENames(), libwps::DirTree::load(), WPSOLEParser::parse(), WPS4Parser::parseEntry(), WPS8Parser::parseHeaderIndexEntry(), WPS8Parser::readDocProperties(), WPS4Text::readDosLink(), WPS4Text::readEntries(), WPS8Graph::readIBGF(), WPS4Graph::readObject(), WPS8Graph::readPICT(), and libwps::StorageIO::streamIO().